SND_PCM_HW_PARAM_N(9)

NAME
snd_pcm_hw_param_near -

SYNOPSIS

int snd_pcm_hw_param_near (struct snd_pcm_substream * pcm, struct snd_pcm_hw_params * params, snd_pcm_hw_param_t var, unsigned int best, int * dir);

ARGUMENTS

pcm PCM instance

params
    the hw_params instance

var parameter to retrieve

best
    value to set

dir pointer to the direction (-1,0,1) or NULL

DESCRIPTION

Inside configuration space defined by PARAMS set PAR to the available value nearest to VAL. Reduce configuration space accordingly. This function cannot be called for SNDRV_PCM_HW_PARAM_ACCESS, SNDRV_PCM_HW_PARAM_FORMAT, SNDRV_PCM_HW_PARAM_SUBFORMAT. Return the value found.